Last modified: 2011-01-25 00:15:42 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 17444 - RevisionDelete global log
RevisionDelete global log
Status: RESOLVED WORKSFORME
Product: MediaWiki
Classification: Unclassified
Page deletion (Other open bugs)
unspecified
All All
: Normal enhancement with 3 votes (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-11 10:02 UTC by John Mark Vandenberg
Modified: 2011-01-25 00:15 UTC (History)
3 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description John Mark Vandenberg 2009-02-11 10:02:28 UTC
A global log of all RevisionDelete is needed.  Whether it is viewable by people without the tool is not my concern.  Currently _nobody_ can review how the tool is being used.
Comment 1 Siebrand Mazeland 2009-02-15 00:42:54 UTC
Please clarify global. Is that "all uses on one wiki" or "all uses on a wiki farm"?
Comment 2 Aaron Schulz 2009-02-15 00:44:42 UTC
(In reply to comment #0)
> A global log of all RevisionDelete is needed.  Whether it is viewable by people
> without the tool is not my concern.  Currently _nobody_ can review how the tool
> is being used.
> 

The local log should be fine (log/suppression)
Comment 3 Mike.lifeguard 2009-02-15 01:01:20 UTC
(In reply to comment #0)
> A global log of all RevisionDelete is needed.  Whether it is viewable by people
> without the tool is not my concern.  Currently _nobody_ can review how the tool
> is being used.
> 

I don't think that's true - there is a local log. How is that any different from the logging in Oversight? A local log which only oversighters can see... that sounds exactly the same as this. I don't see the problem.
Comment 4 John Mark Vandenberg 2009-02-15 01:16:59 UTC
Special:Log/suppress  does the trick.  I could find it when I raised the bug, and others were also complaining it didnt exist.
Comment 5 Aaron Schulz 2009-02-15 01:18:32 UTC
(In reply to comment #4)
> Special:Log/suppress  does the trick.  I could find it when I raised the bug,
> and others were also complaining it didnt exist.
> 

Brion fixed a typo in initializesettings.php that caused Oversights to lack the suppression log right a few days ago, so that would explain why people couldn't find it.
Comment 6 John Mark Vandenberg 2009-03-09 06:33:58 UTC
[[Special:Log/suppress]] does not do the trick.  It only shows some suppression of some entries, while others appear in other logs.

https://secure.wikimedia.org/wikipedia/en/w/index.php?title=Special%3ALog&type=suppress&user=Jayvdb
https://secure.wikimedia.org/wikipedia/en/w/index.php?title=Special%3ALog&type=delete&user=Jayvdb

--
John Vandenberg
Comment 7 Aaron Schulz 2009-03-09 06:43:38 UTC
Suppression is for things hidden from admins, otherwise, it is just deletion.
Comment 8 John Mark Vandenberg 2009-03-09 06:59:45 UTC
In this edit, the username is removed and not visible to any admin.

https://secure.wikimedia.org/wikipedia/en/w/index.php?title=Talk:Toni_Preckwinkle&diff=275430037&oldid=273154453

Yet it appears in the deletion log rather than the suppression log.
Comment 9 Aaron Schulz 2009-03-09 07:06:56 UTC
(In reply to comment #8)
> In this edit, the username is removed and not visible to any admin.
> 
> https://secure.wikimedia.org/wikipedia/en/w/index.php?title=Talk:Toni_Preckwinkle&diff=275430037&oldid=273154453
> 
> Yet it appears in the deletion log rather than the suppression log.
> 

That revision is not suppressed.
Comment 10 John Mark Vandenberg 2009-03-09 07:09:28 UTC
(In reply to comment #9)
> That revision is not suppressed.

The username was hidden from view.
Comment 11 Aaron Schulz 2009-03-09 08:26:11 UTC
Yes, but it is not hidden from admins. "Apply these restrictions to administrators and lock this interface" is not checked.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links